---
title: RTCTrackEventInit
slug: Web/API/RTCTrackEventInit
tags:
  - API
  - Dictionary
  - Interface
  - Media
  - RTCTrackEventInit
  - Reference
  - WebRTC
  - WebRTC API
  - events
  - track
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The WebRTC API's <code><strong>RTCTrackEventInit</strong></code> dictionary is used to provide information describing an {{domxref("RTCTrackEvent")}} when instantiating a new {{event("track")}} event using {{domxref("RTCTrackEvent.RTCTrackEvent", "new RTCTrackEvent()")}}.</span></p>

<h2 id="Properties">Properties</h2>

<p><em><code>RTCTrackEventInit</code> inherits properties from the {{domxref("EventInit")}} dictionary, and also includes the following properties:</em></p>

<div id="property-list">
<dl>
 <dt>{{domxref("RTCTrackEventInit.receiver", "receiver")}}</dt>
 <dd>The {{domxref("RTCRtpReceiver")}} which is being used to receive the track's media.</dd>
 <dt>{{domxref("RTCTrackEventInit.streams", "streams")}} {{optional_inline}}</dt>
 <dd>An array of {{domxref("MediaStream")}} objects representing each of the streams that comprise the event's corresponding track.</dd>
 <dt>{{domxref("RTCTrackEventInit.track", "track")}}</dt>
 <dd>The {{domxref("MediaStreamTrack")}} the event is associated with.</dd>
 <dt>{{domxref("RTCTrackEvent.transceiver", "transceiver")}}</dt>
 <dd>The {{domxref("RTCRtpTransceiver")}} associated with the event.</dd>
</dl>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtctrackeventinit', 'RTCTrackEventInit')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCTrackEventInit")}}</p>
